import React, { Component } from 'react';
declare type SoftDraggingType = string | null;
interface SoftDraggingContext {
    isDraggingType: SoftDraggingType;
}
export declare const SoftDragDropContextContext: React.Context<SoftDraggingContext>;
export declare class SoftDragDropContext extends Component<{
    onBeforeDragStart?: any;
    onDragStart?: any;
    onDragUpdate?: any;
    onDragEnd?: any;
    children?: any;
}> {
    constructor(props: any);
    state: {
        isDraggingType: any;
    };
    setIsDraggingType: (e: any) => void;
    render(): JSX.Element;
}
export {};
